Subject: Re: bug#16119: 24.3.50; emacs aborted -- [xcb] Unknown request in queue while appending request

From: [email-masked]
Date: Sat, 06 Aug 2016 09:19:09 -0400

# assuming these are the same bug, in absence of contradicting evidence
merge 16119 16073 16083
tags 16119 unreproducible
quit

Nicolas Richard <[email-masked]> writes:

> Le 12/12/2013 16:07, Dmitry Antipov a écrit :
>> On 12/12/2013 06:03 PM, Nicolas Richard wrote:
>> 
>>> Btw it was not from emacs -Q.
>>>
>>> Also, the 6 threads don't show up from the beginning. I don't know when
>>> the last two (5 and 6) appeared.
>> 
>> If so, can you also give a hint to reproduce crash?
>
> I wish I had a recipe, but it always seemed to happen randomly. Also,
> I'm not sure the different crashes I've had were all related. Assuming
> they were, sometimes it crashed while I was doing something (e.g. when
> calling emacsclient from thunderbird, or switching buffer/about to
> find a file), sometimes when I was leaving my X session.
>
>>> Sure, here it is :
>>> https://www.dropbox.com/s/5o2pjldmba86xk7/emacs.tar.bz2
>> 
>> After installing some libraries, I'm able run your binary.
>> Since it doesn't crash for me (yet), here is a binary
>> with all required libraries from my system:
>
> It doesn't crash for me right away, and I never used it long enough
> from -Q to see if I could reproduce from -Q. But my emacs from -Q
> is... much less usable. I will try to make a "minimal usable .emacs"
> and see if something happens too.

Do you still see these crashes with more recent Emacs?